View Issue Details

IDProjectCategoryView StatusLast Update
0000987SymmetricDSNew Featurepublic2014-02-02 20:53
ReportermhanesAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.2.2 
Target Version3.3.0Fixed in Version3.3.0 
Summary0000987: Add the "current" (conflicting) data to a column in sym_incoming_error
DescriptionThis provides the ability to diff the current values on the target with the "old" values from the source to determine which column is in conflict.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master baed5d14

2013-02-04 15:25:56

chenson

Details Diff
0000987: Add the "current" (conflicting) data to a column in sym_incoming_error
0000987
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/IncomingError.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/ConflictException.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

Issue History

Date Modified Username Field Change
2013-01-16 08:22 mhanes New Issue
2013-01-16 08:22 mhanes Status new => assigned
2013-01-16 08:22 mhanes Assigned To => chenson
2013-01-23 20:34 chenson Target Version 3.2.3 => 3.2.4
2013-01-29 20:55 chenson Target Version 3.2.4 => 3.3.0.pre.1
2013-01-29 20:56 chenson Target Version 3.3.0.pre.1 => 3.4.0
2013-02-04 10:04 chenson Target Version 3.4.0 => 3.3.0
2013-02-04 15:25 chenson Summary Add the "other" (conflicting) data to a column in sym_incoming_error => Add the "current" (conflicting) data to a column in sym_incoming_error
2013-02-04 15:28 chenson Status assigned => resolved
2013-02-04 15:28 chenson Fixed in Version => 3.3.0
2013-02-04 15:28 chenson Resolution open => fixed
2013-02-04 15:46 chenson Category Improvement => New Feature
2013-02-06 19:05 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6829
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master baed5d14